#
# test code for aviwriter.tcl
#
# Rev.0.1   Feb. 12, 2011   by zhuo
#

source "aviwriter.tcl"

set W 480
set H 360

# 1: generate avi directly.   0: generate numbered png files.
set DirectAvi 1
# in both cases, files are created in $outdir.
set outdir "out"


# image display window
set pane [image create photo -width $W -height $H]
pack [label .l -image $pane]
update

# preparation
file mkdir $outdir
if { $DirectAvi } {
	set aw [AVIWriter \#auto]
	$aw fopen [format "%s/t01_%sx%s.avi" $outdir $W $H]
	$aw setFPS 30
}

# sequence generation
for { set i 0 } { $i < 60 } { incr i } {
	$pane put -to 0 0 $W $H \#804040
	$pane put -to $i $i [expr {$i+5}] [expr {$i+5}] \#c0c0ff
	update

	if { $DirectAvi } {
		$aw putFrame $pane
	} else {
		$pane write [format "%s/img%05d.png" $outdir $i] -format png -background \#804040
	}
}

# wrap up
if { $DirectAvi } {
	$aw fclose
}

destroy .